## probalign 1.4

=== Makefile ===
CXX = g++
CXXFLAGS = -O3 -W -Wall -funroll-loops
TARGET = probalign

all : $(TARGET)

probalign : MultiSequence.h Sequence.h FileBuffer.h SparseMatrix.h EvolutionaryTree.h SafeVector.h Main.cc Sequence.h PostProbs.cc ComputeAlignment.cc ReadMatrix.cc Matrix.h
	$(CXX) $(CXXFLAGS) -lm -o $(TARGET) Main.cc PostProbs.cc ComputeAlignment.cc ReadMatrix.cc

clean: 
	rm -f $(TARGET)

=== debian/changelog ===
probalign (1.4-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 27 Nov 2020 18:52:43 +0100

probalign (1.4-8) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 19:16:37 +0200

probalign (1.4-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 14:49:43 +0100

probalign (1.4-6) unstable; urgency=medium

  * Team upload.

  [ Sascha Steinbiss ]
  * Enable full hardening.

  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Thu, 06 Jul 2017 14:54:18 -0400

probalign (1.4-5) unstable; urgency=medium

  * Fix homepage
  * Fix watch file
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 18:03:46 +0100

probalign (1.4-4) unstable; urgency=medium

  * cme fix dpkg-control
  * Fix Mayhem issue
    Closes: #716548

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2015 15:03:20 +0100

probalign (1.4-3) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream
    - fix typo (s/TITILE/TITLE/)
    - moved DOI+PMID to references
    - separate authors by ' and '
    - added eprint
  * debian/control:
    - cme fix dpkg-control
    - debhelper 9
    - removed quilt Build-Depends
    - canonical Vcs URLs
  * debian/copyright: DEP5
  * debian/patches/hardening.patch: Propagate hardening options

  [ Charles Plessy ]
  * Add missing word in long description (Closes: #703253).

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2013 16:41:20 +0100

probalign (1.4-2) unstable; urgency=low

  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)
  * debian/patches/fix-gcc-4.6.patch
    Closes: #624979

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2011 17:02:21 +0200

probalign (1.4-1) unstable; urgency=low

  * Initial release (Closes: #611828)
    (reupload with LGPL-3 license for debian/*)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Feb 2011 15:45:54 +0100

=== debian/control ===
Source: probalign
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               help2man
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/probalign
Vcs-Git: https://salsa.debian.org/med-team/probalign.git
Homepage: http://probalign.njit.edu/standalone.html
Rules-Requires-Root: no

Package: probalign
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: multiple sequence alignment using partition function posterior probabilities
 Probalign uses partition function posterior probability estimates to
 compute maximum expected accuracy multiple sequence alignments. It
 performs statistically significantly better than the leading alignment
 programs Probcons v1.1, MAFFT v5.851, and MUSCLE v3.6 on BAliBASE 3.0,
 HOMSTRAD, and OXBENCH benchmarks. Probalign improvements are largest on
 datasets containing N/C terminal extensions and on datasets with long
 and heterogeneous length sequences. On heteregeneous length datasets
 containing repeats Probalign alignment accuracy is 10% and 15% higher
 than the other three methods when standard deviation of length is at
 least 300 and 400.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	help2man --name="Align sequences in MFAFILE(s) and print result to standard output" \
	         --no-discard-stderr \
	         --version-string=$(DEB_VERSION_UPSTREAM) \
	         --help-option=" " \
	         --no-info \
                 $(CURDIR)/probalign > $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/probalign.1

=== debian/watch ===
version=4
http://probalign.njit.edu/standalone.html standalone/probalign([\d\.]+)\.tgz
